@acala-network/api-derive

v3.0.1

Additional polkadot.js derives for Acala Network

Apache-2.0
Latest version published 14 days ago
    npm install @acala-network/api-derive
  
We couldn't find any similar packages Browse all packages

Package Health Score

73 / 100

Popularity

Limited

Weekly Downloads (831)

Download trend
Dependents
0
GitHub Stars
25
Forks
18
Contributors
10

Direct Usage Popularity


The npm package @acala-network/api-derive receives a total of 831 downloads a week. As such, we scored @acala-network/api-derive popularity level to be Limited.

Based on project statistics from the GitHub repository for the npm package @acala-network/api-derive, we found that it has been starred 25 times, and that 0 other projects in the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Security

No known security issues
Powered by Snyk

Security and license risk for significant versions

All Versions
Popular

Version

Release Date

04/2021
06/2021
07/2021
09/2021
10/2021

Direct Vulnerabilities

0.7.3
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
1.0.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
Popular
2.0.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
2.3.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
3.0.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L

Indirect Vulnerabilities

0.7.3
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
1.0.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
Popular
2.0.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
2.3.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
3.0.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L

License Risk

0.7.3
  • 0
    H
  • 0
    M
  • 0
    L
1.0.1
  • 0
    H
  • 0
    M
  • 0
    L
Popular
2.0.1
  • 0
    H
  • 0
    M
  • 0
    L
2.3.1
  • 0
    H
  • 0
    M
  • 0
    L
3.0.1
  • 0
    H
  • 0
    M
  • 0
    L
All security vulnerabilities belong to production dependencies of direct and indirect packages.

License
Apache-2.0

Security Policy
No

We found a way for you to contribute to the project! Looks like @acala-network/api-derive is missing a security policy.


You can connect your project's repository to Snyk to stay up to date on security alerts and receive automatic fix pull requests.

    # Install the Snyk CLI and test your project
npm i snyk -g && snyk test @acala-network/api-derive
Keep your project free of vulnerabilities with Snyk

Maintenance

Healthy

Commit Frequency

Open Issues
4
Open PR
3
Last Release
14 days ago
Last Commit
14 days ago

Further analysis of the maintenance status of @acala-network/api-derive based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Healthy.

We found that @acala-network/api-derive demonstrates a positive version release cadence with at least one new version released in the past 3 months.

As a healthy sign for on-going project maintenance, we found that the GitHub repository had at least 1 pull request or issue interacted with by the community.

Community

Limited
Readme.md
No
Contributing.md
No
Code of Conduct
No
Contributors
10
Funding
No

This project has seen only 10 or less contributors.

We found a way for you to contribute to the project! Looks like @acala-network/api-derive is missing a Code of Conduct.

How about a good first contribution to this project? It seems that @acala-network/api-derive is missing a README file.


Embed Package Health Score Badge

package health: 73/100 package health 73/100

Package

Node.js Compatibility
not defined

Age
2 years
Dependencies
4 Direct
Versions
183
Install Size
31.1 kB
Dist-tags
2
# of Files
30
Maintainers
4
TS Typings
No

@acala-network/api-derive has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.